<?php
session_start();
require('conexion.php');

$id_prod_nota = $_POST['id'];
$cantidad = $_POST['cantidad'];
$ntv_descuento = $_POST['ntv_descuento']; 

if(isset($_POST['precio']) && isset($_POST['comentario'])){
    $precio = $_POST['precio'];
    $comentario = $_POST['comentario'];
    $query= query("UPDATE productos_nota SET pdn_cantidad='$cantidad', pdn_precio='$precio', pdn_comentario='$comentario' WHERE id='$id_prod_nota'");
}else{
    if (isset($_POST['comentario'])) {
        $comentario = $_POST["comentario"];
        $query= query("UPDATE productos_nota SET pdn_cantidad='$cantidad', pdn_comentario='$comentario' WHERE id='$id_prod_nota'");
    }
    if (isset($_POST['precio'])) {
        $precio = $_POST['precio'];
        $query= query("UPDATE productos_nota SET pdn_cantidad='$cantidad', pdn_precio='$precio' WHERE id='$id_prod_nota'");
    }
    $query= query("UPDATE productos_nota SET pdn_cantidad='$cantidad' WHERE id='$id_prod_nota'");
}



$id_nota = $_SESSION['cveNota'];

// OBTENER LA SUMATORIA DE LOS PRECIOS, EL DESCUENTO.
$subtotal=query("SELECT SUM(pdn_cantidad*pdn_precio) 'SUBTOTAL' FROM productos_nota WHERE id_nota_venta='$id_nota' AND pdn_estatus NOT IN('cancelado','eliminado')");
$resultado1=mysqli_fetch_assoc($subtotal);
$subtotal = $resultado1['SUBTOTAL'];
$descuento= ($ntv_descuento*$subtotal)/100;
$total = $subtotal - $descuento;

$datos = "<div class='d-flex align-items-center text-sm p-1' id='subtotal' data-value='".$subtotal."'>$".number_format($subtotal, 2, '.', ' ')."</div>
<div class='d-flex align-items-center text-sm p-1' id='ntv_descuento_total' data-value='".$descuento."'>$".number_format($descuento, 2, '.', ' ')."</div>
<div class='d-flex align-items-center text-sm p-1' id='total_nota' data-value='".$total."'>$".number_format($total, 2, '.', ' ')."</div>";
echo $datos;
?>